解决maven update project 后项目jdk变成1.5

当每次update project后jdk就会变成1.5的这点真的很讨厌真好像是maven的特性但是我们可以在pom里给它强制指定一下

<plugins>
    <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>2.3.2</version>
        <configuration>
            <source>1.7</source>
            <target>1.7</target>
        </configuration>
    </plugin>
</plugins>

这样再次update project后就会发现jdk变成1.7的了

阅读更多
个人分类: java常见错误解决
上一篇彻底解决Dynamic Web Module 3.0 requires Java 1.6 or newer.
下一篇Another MySQL daemon already running with the same unix socket.
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭